<!--
/**
 * Copyright © 2016 Magento. All rights reserved.
 * See COPYING.txt for license details.
 */
-->
<div data-role="checkout-messages" class="messages" data-bind="visible: isVisible(), click: removeAll">
    <!-- ko foreach: messageContainer.getErrorMessages() -->
    <div class="message message-error error">
        <div data-ui-id="checkout-cart-validationmessages-message-error" data-bind="text: $data"></div>
    </div>
    <!--/ko-->
    <!-- ko foreach: messageContainer.getSuccessMessages() -->
    <div class="message message-success success">
        <div data-ui-id="checkout-cart-validationmessages-message-success" data-bind="text: $data"></div>
    </div>
    <!--/ko-->
</div>